> ## Documentation Index
> Fetch the complete documentation index at: https://docs.catenatelematics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# v2.40.0 - New TSP Provider Support

> 16 new telematics service providers added to the TspEnum, expanding the range of supported ELD integrations.

**Released 17th August 2026**

## New TSP Provider Support

This release expands the `TspEnum` with 16 new telematics service providers, making them available for use across all TSP-related endpoints.

<Check>
  **Backward-compatible addition:** All new enum values are additive. No existing integrations are affected.
</Check>

### New TSP providers

The following `source_name` values are now valid across `GET /v2/orgs/tsps`, `POST /v2/orgs/tsps`, `GET /v2/orgs/tsps/{tsp_id}`, and `PATCH /v2/orgs/tsps/{tsp_id}`:

| New `source_name` value | Provider |
| - | - |
| `autogri_eld` | Autogri ELD |
| `dfl_eld` | DFL ELD |
| `ilog_eld` | iLog ELD |
| `monster_eld` | Monster ELD |
| `prestige_eld` | Prestige ELD |
| `sunriser_eld` | Sunriser ELD |
| `trucking_office` | Trucking Office |
| `youlog_eld` | YouLog ELD |
| `daily_eld` | Daily ELD |
| `simple_way_eld` | Simple Way ELD |
| `zaphira_eld` | Zaphira ELD |
| `eld_rider` | ELD Rider |
| `top_eld` | Top ELD |
| `hive_eld` | Hive ELD |
| `clutch_eld` | Clutch ELD |
| `core_eld` | Core ELD |

### Affected endpoints

<AccordionGroup>
  <Accordion title="GET /v2/orgs/tsps" icon="list">
    The `source_name` query parameter and response field now accept all 16 new values.

    ```bash theme={null}
    # Filter TSPs by new provider
    GET /v2/orgs/tsps?source_name=clutch_eld
    ```
  </Accordion>

  <Accordion title="POST /v2/orgs/tsps" icon="plus">
    The `source_name` field in the request body now accepts all 16 new values.

    ```bash theme={null}
    POST /v2/orgs/tsps
    Content-Type: application/json

    {
      "source_name": "core_eld",
      ...
    }
    ```
  </Accordion>

  <Accordion title="GET /v2/orgs/tsps/{tsp_id}" icon="magnifying-glass">
    The `source_name` field in the response may now return any of the 16 new values.
  </Accordion>

  <Accordion title="PATCH /v2/orgs/tsps/{tsp_id}" icon="pen">
    The `source_name` field in the request body now accepts all 16 new values.

    ```bash theme={null}
    PATCH /v2/orgs/tsps/{tsp_id}
    Content-Type: application/json

    {
      "source_name": "hive_eld"
    }
    ```
  </Accordion>
</AccordionGroup>

***

## Need help?

<CardGroup cols={2}>
  <Card title="API reference" icon="book" href="/api-reference/organizations-api">
    View complete TSP endpoint documentation
  </Card>

  <Card title="Contact support" icon="life-ring" href="mailto:support@catenaclearing.io">
    Questions about your integration? Our team is here to help.
  </Card>
</CardGroup>


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.